@extends('layouts.app')

@section('content')
    <div class="container-fluid">

        <!-- Section: Design Block -->
        <section class="">
            <!-- Jumbotron -->
            <div class="px-4 py-5 px-md-5 text-center text-lg-start" style="background-color: hsl(0, 0%, 96%)">
                <div class="container">
                    <div class="row gx-lg-5 align-items-center">
                        <div class="col-lg-6 mb-5 mb-lg-0">
                            <h1 class="my-5 display-3 fw-bold ls-tight">
                                La mejor decision <br />
                                <span class="text-primary">para tu carrera profesional</span>
                            </h1>
                            <p style="color: hsl(217, 10%, 50.8%)">
                                Un sitio web educativo puede ser una herramienta valiosa para
                                ayudarte en este proceso, ya que puede proporcionarte información y recursos útiles para
                                explorar diferentes opciones y tomar una decisión informada. Al aprovechar la amplia gama de
                                recursos disponibles en un sitio web educativo, como consejos de expertos, podrás
                                identificar tus fortalezas, intereses y valores, lo
                                que te permitirá tomar decisiones más conscientes y satisfactorias para tu carrera
                                profesional.
                            </p>
                        </div>

                        <div class="col-lg-6 mb-5 mb-lg-0">
                            <div class="card">
                                <div class="card-body py-5 px-md-5">
                                    <form method="POST" action="{{ route('register') }}">
                                        @csrf
                                        <!-- 2 column grid layout with text inputs for the first and last names -->
                                        <div class="row">
                                            <div class="form-outline mb-2">
                                                <input id="name" type="text" class="form-control  @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" required autocomplete="name" autofocus>
                                                @error('name')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                                <label class="form-label" for="form3Example1">Nombre(s)</label>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="form-outline mb-2">
                                                <input id="apellido" type="text"
                                                    class="form-control @error('apellido') is-invalid @enderror" name="apellido"
                                                    value="{{ old('apellido') }}" required autocomplete="apellido" autofocus>

                                                @error('apellido')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                                <label class="form-label" for="form3Example1">Apellido(s)</label>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="form-outline mb-2">
                                                <input id="documento" type="text"
                                                    class="form-control @error('documento') is-invalid @enderror" name="documento"
                                                    value="{{ old('documento') }}" required autocomplete="documento" autofocus>

                                                @error('documento')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                                <label class="form-label" for="form3Example1">CI / DNI</label>
                                            </div>
                                        </div>
                                        <label class="form-label" for="form3Example1">Estamento</label>
                                        <div class="mb-3">
                                            @foreach ($estamentos as $estamento)
                                                <div class="form-check form-check-inline">
                                                    <input class="form-check-input" type="checkbox" id="estamento{{ $estamento->id }}" name="estamentos[]" value="{{ $estamento->id }}">
                                                    <label class="form-check-label" for="estamento{{ $estamento->id }}"> {{ $estamento->nombre }}</label>
                                                </div>
                                            @endforeach
                                        </div>

                                        <!-- Email input -->
                                        <div class="form-outline mb-2">
                                            <input id="email" type="email"
                                                class="form-control @error('email') is-invalid @enderror" name="email"
                                                value="{{ old('email') }}" required autocomplete="email">

                                            @error('email')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                            <label class="form-label" for="form3Example3">Correo Electronico</label>
                                        </div>

                                        <!-- Password input -->
                                        <div class="form-outline mb-2">
                                            <input id="password" type="password"
                                                class="form-control @error('password') is-invalid @enderror" name="password"
                                                required autocomplete="new-password">

                                            @error('password')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                            <label class="form-label" for="form3Example4">Contraseña</label>
                                        </div>

                                        <div class="form-outline mb-2">
                                            <input id="password-confirm" type="password" class="form-control"
                                                name="password_confirmation" required autocomplete="new-password">
                                            <label class="form-label" for="form3Example4">Repetir Contraseña</label>
                                        </div>


                                        <!-- Submit button -->
                                        <button type="submit" class="btn btn-primary btn-block mb-2">
                                            {{ __('Registrarse') }}
                                        </button>

                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Jumbotron -->
        </section>
        <!-- Section: Design Block -->
    </div>
@endsection
