@extends('layouts.app')
@section('template_title')
    Evento
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">
                            <span id="card_title">
                                {{ __('Eventos disponibles en nuestra plataforma') }}
                            </span>

                            @can('eventos.crear')
                                <div class="float-right">
                                    <a href="{{ route('eventos.create') }}" class="btn btn-primary btn-sm float-right" data-placement="left">
                                       Nuevo Evento
                                    </a>
                                </div>
                            @endcan
                        </div>
                    </div>
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                    @endif

                </div>
                {!! $eventos->links() !!}
            </div>
        </div>
        <!-- Event section-->
        <section class="py-1">
            @foreach ($eventos as $evento)
                <div class="container px-4 px-lg-5 my-5">
                    <div class="row gx-4 gx-lg-5 border border-1 rounded-4 p-2 shadow ">
                        <h1 class="fw-bolder fs-4 text-uppercase text-center">{{ $evento->nombre_evento }}</h1>
                        <div class="col-md-5">
                            <img class="rounded card-img-top mb-5 mb-md-0" src="{{ $evento->portada }}" width="250" alt="..." />
                        </div>
                        @php
                            $sw = 'false';
                            $id = $evento->id;
                            $c = 0;
                            foreach ($inscritos as $inscrito) {
                                if ($inscrito->evento_id == $id) {
                                    $c += 1;
                                }
                            }
                        @endphp
                        <div class="col-md-7">
                            <div class="fs-6">
                                <span><b>Nro. de cupos disponibles:</b> {{ $evento->nro_cupos - $c }}</span>
                                <br>
                                <span><b>Fecha del evento:</b> {{ $evento->fecha }}</span>
                            </div>
                            <div class="overflow-auto">
                                <p class="fw-normal ">{{ $evento->descripcion }}</p>
                            </div>
                            <div class="d-flex flex-wrap">
                                @foreach ($inscritos as $inscrito)
                                    @if ($inscrito->evento_id == $evento->id && auth()->id() == $inscrito->usuario_id)
                                        @php
                                            $sw = 'true';
                                        @endphp
                                        @break
                                    @endif
                                @endforeach
                            
                                @if ($sw == 'true')
                                    <!-- Usuario ya inscrito -->
                                @else
                                    @if ($evento->nro_cupos - $c > 0)
                                        <form method="POST" action="{{ route('inscribir_usuario') }}">
                                            @csrf
                                            <input type="hidden" name="id_evento" value="{{ $evento->id }}">
                                            <button class="btn btn-outline-primary btn-sm m-1" type="submit">Inscribirse</button>
                                        </form>
                                    @else
                                        <button type="button" class="btn btn-danger btn-sm m-1">Sin Cupo</button>
                                    @endif
                                @endif
                            
                                <div class="d-flex flex-wrap">
                                   
                                        <a class="btn btn-outline-dark btn-sm m-1" href="{{ route('eventos.show', $evento->id) }}">
                                            <i class="fa fa-fw fa-eye"></i> Ver más
                                        </a>
                                
                                    @can('eventos.editar')
                                        <a class="btn btn-outline-success btn-sm m-1" href="{{ route('eventos.edit', $evento->id) }}">
                                            <i class="fa fa-fw fa-edit"></i> Editar
                                        </a>
                                        <a href="{{ route('listaestudiante', $evento->id) }}" class="btn btn-danger btn-sm m-1">Lista de Inscritos</a>
                                    @endcan
                                </div>
                                            
                                @can('materiales.index')
                                    <a href="{{ route('listaestudiantehabilitados', $evento->id) }}" class="btn btn-success btn-sm m-1">Asistencia</a>
                                @endcan
                                <!--
                                <form action="{{ route('eventos.destroy', $evento->id) }}" method="POST">
                                    @csrf
                                    @method('DELETE')
                                    @can('eventos.borrar')
                                        <button type="submit" class="btn btn-outline-danger btn-sm m-1">
                                            <i class="fa fa-fw fa-trash"></i> Eliminar
                                        </button>
                                    @endcan
                                </form>-->
                            </div>
                        </div>
                    </div>
                </div>
            @endforeach
        </section>
        {!! $eventos->links() !!}
    </div>
@endsection
