<?php

use App\Http\Controllers\AdminRolController;
use App\Http\Controllers\ComentarioController;
use Illuminate\Support\Facades\Route;

use App\Http\Controllers\InscribeUsuarioEventoController;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/', [ComentarioController::class, 'indexWelcome']);

Auth::routes();

Route::get('certificados/pdf/{id}', [App\Http\Controllers\CertificadoController::class, 'pdf'])->name('certificados.pdf');
Route::get('certificadosepdf/{id}', [App\Http\Controllers\CertificadoController::class, 'certificadosepdf'])->name('certificadosepdf');

Route::resource('perfil',  App\Http\Controllers\UserController::class)->middleware('auth');

Route::resource('eventos',  App\Http\Controllers\EventoController::class)->middleware('auth');
Route::resource('ambientes',  App\Http\Controllers\AmbienteController::class)->middleware(['auth', 'can:ambientes.index']);
Route::resource('materiales',  App\Http\Controllers\MaterialeController::class)->middleware(['auth', 'can:materiales.index']);
Route::resource('expositores',  App\Http\Controllers\ExpositoreController::class)->middleware(['auth', 'can:expositores.index']);
Route::resource('charlas',  App\Http\Controllers\CharlaController::class)->middleware(['auth', 'can:charlas.index']);
Route::resource('certificados',  App\Http\Controllers\CertificadoController::class)->middleware(['auth', 'can:certificados.index']);
Route::resource('inscribe-usuario-eventos',  App\Http\Controllers\InscribeUsuarioEventoController::class)->middleware(['auth', 'can:inscripciones.index']);
Route::get('listaestudiante/{id}',[App\Http\Controllers\EventoController::class,'listaEstudiantes'])->name('listaestudiante');
Route::get('verificarestado/{id}',[App\Http\Controllers\EventoController::class,'verificarestado'])->name('verificarestado');
Route::get('pagarevento/{id}/{idestudiante}',[App\Http\Controllers\EventoController::class,'pagarevento'])->name('pagarevento');
Route::post('registrarpago/{id}',[App\Http\Controllers\EventoController::class,'registrarpago'])->name('registrarpago');
Route::post('validarpago/{id}',[App\Http\Controllers\EventoController::class,'validarpago'])->name('validarpago');
Route::get('listaestudiantehabilitados/{id}',[App\Http\Controllers\EventoController::class,'listaestudiantehabilitados'])->name('listaestudiantehabilitados');
Route::post('actualizarasistencia',[App\Http\Controllers\EventoController::class,'actualizarasistencia'])->name('actualizarasistencia');
Route::get('encontrarcertificado',[App\Http\Controllers\CertificadoController::class,'encontrarcertificado'])->name('encontrarcertificado');

Route::resource('comentarios',  App\Http\Controllers\ComentarioController::class)->middleware('auth');

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::post('/inscribir', [InscribeUsuarioEventoController::class, 'inscrito'])->name('inscribir_usuario');

Route::resource('users', AdminRolController::class)->names('users');

Route::post('actualizar-asistencia', [App\Http\Controllers\EventoController::class, 'actualizarAsistenciaIndividual'])->name('actualizarAsistenciaIndividual');

