<?php $__env->startSection('template_title'); ?>
    Evento
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">

                            <span id="card_title">
                                <?php echo e(__('Eventos disponibles en nuestra plataforma')); ?>

                            </span>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('eventos.crear')): ?>
                                <div class="float-right">
                                    <a href="<?php echo e(route('eventos.create')); ?>" class="btn btn-primary btn-sm float-right"
                                        data-placement="left">
                                        <?php echo e(__('Create New')); ?>

                                    </a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php if($message = Session::get('success')): ?>
                        <div class="alert alert-success">
                            <p><?php echo e($message); ?></p>
                        </div>
                    <?php endif; ?>

                </div>
                <?php echo $eventos->links(); ?>

            </div>
        </div>
        <!-- Event section-->
        <section class="py-1">
            <?php $__currentLoopData = $eventos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $evento): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="container px-4 px-lg-5 my-5">
                    <div class="row gx-4 gx-lg-5 align-items-center text-center">
                        <div class="small mb-1"><?php echo e($evento->tipo_evento); ?></div>
                        <h1 class="display-5 fw-bolder"><?php echo e($evento->nombre_evento); ?></h1>
                        <div class="col-md-6">
                            <img class="rounded card-img-top mb-5 mb-md-0" src="<?php echo e($evento->portada); ?>" width="700"
                                height="500" alt="..." />
                        </div>
                        <?php
                            $sw = 'false';
                            $id = $evento->id;
                            $c = 0;
                            foreach ($inscritos as $inscrito) {
                                if ($inscrito->evento_id == $id) {
                                    $c += 1;
                                }
                            }
                        ?>
                        <div class="col-md-6">
                            <div class="fs-5 mb-5">
                                <span><b>Numero de cupos disponibles:</b> <?php echo e($evento->nro_cupos - $c); ?></span>
                                <br>
                                <span><b>Fecha del evento:</b> <?php echo e($evento->fecha); ?></span>
                            </div>
                            <div class="overflow-auto" style="height: 350px;">
                                <p class="lead"><?php echo e($evento->descripcion); ?></p>
                            </div>
                            <div class="d-flex">
                                <?php $__currentLoopData = $inscritos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $inscrito): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($inscrito->evento_id == $evento->id && auth()->id() == $inscrito->usuario_id): ?>
                                        <?php
                                            $sw = 'true';
                                        ?>
                                    <?php break; ?>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <?php if($sw == 'true'): ?>
                                <button type="button" class="btn btn-success mx-1">Inscrito</button>
                                <a href="<?php echo e(route('pagarevento',[$evento->id,auth()->id()])); ?>" class="btn btn-danger flex-shrink-0 me-1">Pagar Evento</a>
                            <?php else: ?>
                                <?php if($evento->nro_cupos - $c > 0): ?>
                                    <form method="POST" action="<?php echo e(route('inscribir_usuario')); ?>">
                                        <?php echo csrf_field(); ?>
                                        <input type="hidden" name="id_evento" value="<?php echo e($evento->id); ?>">
                                        <button class="btn btn-outline-primary flex-shrink-0 me-1"
                                            type="submit">Inscribirse</button>
                                    </form>
                                <?php else: ?>
                                    <button type="button" class="btn btn-danger px-1 mx-1">Sin
                                        Cupo</button>
                                <?php endif; ?>
                            <?php endif; ?>
                            <form action="<?php echo e(route('eventos.destroy', $evento->id)); ?>" method="POST">
                                <a class="btn btn-outline-dark flex-shrink-0 me-1"
                                    href="<?php echo e(route('eventos.show', $evento->id)); ?>"><i class="fa fa-fw fa-eye"></i> Ver
                                    mas</a>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('eventos.editar')): ?>
                                    <a class="btn btn-outline-success flex-shrink-0 me-1"
                                        href="<?php echo e(route('eventos.edit', $evento->id)); ?>"><i class="fa fa-fw fa-edit"></i>
                                        Edit</a>
                                        <a href="<?php echo e(route('listaestudiante',$evento->id)); ?>" class="btn btn-danger flex-shrink-0 me-1">Lista de Inscritos</a>
                                <?php endif; ?>
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('DELETE'); ?>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('eventos.borrar')): ?>
                                    <button type="submit" class="btn btn-outline-danger flex-shrink-0 me-1"><i
                                            class="fa fa-fw fa-trash"></i>
                                        Delete</button>
                                <?php endif; ?>
                            </form>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('materiales.index')): ?>
                            <a href="<?php echo e(route('listaestudiantehabilitados',$evento->id)); ?>" class="btn btn-success flex-shrink-0 me-1">Lista de Inscritos Habilitados</a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </section>
    <?php echo $eventos->links(); ?>


</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp_php8\htdocs\proyecto_281\resources\views/evento/index.blade.php ENDPATH**/ ?>