

<?php $__env->startSection('template_title'); ?>
    Lista de Usuarios Habilitados al Evento
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">
                            <span id="card_title">
                                <?php echo e(__('Lista de Estudiantes Inscritos')); ?>

                            </span>
                        </div>
                    </div>
                    <?php if($message = Session::get('success')): ?>
                        <div class="alert alert-success">
                            <p><?php echo e($message); ?></p>
                        </div>
                    <?php endif; ?>
                    <div class="card-body">
                        <form method="POST" action="<?php echo e(route('actualizarasistencia')); ?>" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" name="idevento" value="<?php echo e($id); ?>">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover">
                                <thead class="thead">
                                    <tr>
                                        <th>No</th>
                                        <th>Asistencia</th>                
                                        <th>Estudiante</th>
                                        <th>C.I.</th>
                                        <th>Correo Electronico</th>
                                        <th>COD. de Participación</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $datos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                      <td><?php echo e($loop->iteration); ?></td>
                                      <td><div class="form-check form-switch">
                                        <input type="hidden" name="validar[<?php echo e($item->idinscrito); ?>]" value="0">
                                        <input class="form-check-input asistencia-switch" type="checkbox" role="switch" id="flexSwitchCheckChecked_<?php echo e($item->idinscrito); ?>" 
                                               data-id="<?php echo e($item->idinscrito); ?>" data-evento="<?php echo e($id); ?>" name="validar[<?php echo e($item->idinscrito); ?>]" 
                                               value="1" <?php echo e($item->asistencia == 1 ? 'checked' : ''); ?>>
                                      </div></td>
                                      <td><?php echo e($item->name); ?> <?php echo e($item->apellido); ?></td>
                                      <td><?php echo e($item->documento); ?></td>
                                      <td><?php echo e($item->email); ?></td>
                                      <td><?php echo e($item->codigo); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                            <div class="box-footer mt20">
                              <button type="submit" class="btn btn-success">Actualizar Asistencia</button>
                            </div>
                        </div>
                        </form>
                    </div>
                </div>
               
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function() {
    $('.asistencia-switch').change(function() {
        var id = $(this).data('id');  // Obtener el ID del usuario
        var eventoId = $(this).data('evento');  // Obtener el ID del evento
        var asistencia = $(this).is(':checked') ? 1 : 0;  // Determinar si está activado o desactivado
        console.log(id,eventoId,asistencia)
        // Enviar los datos por AJAX
        $.ajax({
            url: '/actualizar-asistencia',  // Ruta donde está la lógica de actualización
            method: 'POST',
            data: {
                _token: '<?php echo e(csrf_token()); ?>',  // Asegurarse de enviar el token CSRF
                id: id,
                asistencia: asistencia,
                evento_id: eventoId
            },
            success: function(response) {
               
            },
            error: function() {
               
            }
        });
    });
});
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\certificados\resources\views/evento/estudiantehabilitado.blade.php ENDPATH**/ ?>