<?php $__env->startSection('template_title'); ?>
    Evento
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">
                            <span id="card_title">
                                <?php echo e(__('Eventos disponibles en nuestra plataforma')); ?>

                            </span>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('eventos.crear')): ?>
                                <div class="float-right">
                                    <a href="<?php echo e(route('eventos.create')); ?>" class="btn btn-primary btn-sm float-right" data-placement="left">
                                       Nuevo Evento
                                    </a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php if($message = Session::get('success')): ?>
                        <div class="alert alert-success">
                            <p><?php echo e($message); ?></p>
                        </div>
                    <?php endif; ?>

                </div>
                <?php echo $eventos->links(); ?>

            </div>
        </div>
        <!-- Event section-->
        <section class="py-1">
            <?php $__currentLoopData = $eventos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $evento): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="container px-4 px-lg-5 my-5">
                    <div class="row gx-4 gx-lg-5 border border-1 rounded-4 p-2 shadow ">
                        <h1 class="fw-bolder fs-4 text-uppercase text-center"><?php echo e($evento->nombre_evento); ?></h1>
                        <div class="col-md-5">
                            <img class="rounded card-img-top mb-5 mb-md-0" src="<?php echo e($evento->portada); ?>" width="250" alt="..." />
                        </div>
                        <?php
                            $sw = 'false';
                            $id = $evento->id;
                            $c = 0;
                            foreach ($inscritos as $inscrito) {
                                if ($inscrito->evento_id == $id) {
                                    $c += 1;
                                }
                            }
                        ?>
                        <div class="col-md-7">
                            <div class="fs-6">
                                <span><b>Nro. de cupos disponibles:</b> <?php echo e($evento->nro_cupos - $c); ?></span>
                                <br>
                                <span><b>Fecha del evento:</b> <?php echo e($evento->fecha); ?></span>
                            </div>
                            <div class="overflow-auto">
                                <p class="fw-normal "><?php echo e($evento->descripcion); ?></p>
                            </div>
                            <div class="d-flex flex-wrap">
                                <?php $__currentLoopData = $inscritos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $inscrito): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($inscrito->evento_id == $evento->id && auth()->id() == $inscrito->usuario_id): ?>
                                        <?php
                                            $sw = 'true';
                                        ?>
                                        <?php break; ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            
                                <?php if($sw == 'true'): ?>
                                    <!-- Usuario ya inscrito -->
                                <?php else: ?>
                                    <?php if($evento->nro_cupos - $c > 0): ?>
                                        <form method="POST" action="<?php echo e(route('inscribir_usuario')); ?>">
                                            <?php echo csrf_field(); ?>
                                            <input type="hidden" name="id_evento" value="<?php echo e($evento->id); ?>">
                                            <button class="btn btn-outline-primary btn-sm m-1" type="submit">Inscribirse</button>
                                        </form>
                                    <?php else: ?>
                                        <button type="button" class="btn btn-danger btn-sm m-1">Sin Cupo</button>
                                    <?php endif; ?>
                                <?php endif; ?>
                            
                                <div class="d-flex flex-wrap">
                                   
                                        <a class="btn btn-outline-dark btn-sm m-1" href="<?php echo e(route('eventos.show', $evento->id)); ?>">
                                            <i class="fa fa-fw fa-eye"></i> Ver más
                                        </a>
                                
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('eventos.editar')): ?>
                                        <a class="btn btn-outline-success btn-sm m-1" href="<?php echo e(route('eventos.edit', $evento->id)); ?>">
                                            <i class="fa fa-fw fa-edit"></i> Editar
                                        </a>
                                        <a href="<?php echo e(route('listaestudiante', $evento->id)); ?>" class="btn btn-danger btn-sm m-1">Lista de Inscritos</a>
                                    <?php endif; ?>
                                </div>
                                            
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('materiales.index')): ?>
                                    <a href="<?php echo e(route('listaestudiantehabilitados', $evento->id)); ?>" class="btn btn-success btn-sm m-1">Asistencia</a>
                                <?php endif; ?>
                                <!--
                                <form action="<?php echo e(route('eventos.destroy', $evento->id)); ?>" method="POST">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('DELETE'); ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('eventos.borrar')): ?>
                                        <button type="submit" class="btn btn-outline-danger btn-sm m-1">
                                            <i class="fa fa-fw fa-trash"></i> Eliminar
                                        </button>
                                    <?php endif; ?>
                                </form>-->
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </section>
        <?php echo $eventos->links(); ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\certificados\resources\views/evento/index.blade.php ENDPATH**/ ?>